> ## Documentation Index
> Fetch the complete documentation index at: https://api.lensmor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event brief



## OpenAPI

````yaml /openapi.json get /external/events/brief
openapi: 3.1.0
info:
  title: Lensmor API
  version: 0.22.0
  description: >-
    Lensmor Event Intelligence API for event discovery, exhibitor research,
    personnel lookup, credits, and profile matching.
servers:
  - url: https://platform.lensmor.com
security:
  - bearerAuth: []
tags:
  - name: Credits
  - name: Actions
  - name: Events
  - name: Exhibitors
  - name: Personnel
  - name: Contacts
  - name: Profile Matching
paths:
  /external/events/brief:
    get:
      tags:
        - Events
      summary: Get event brief
      operationId: getEventBrief
      parameters:
        - $ref: '#/components/parameters/EventIdQuery'
      responses:
        '200':
          description: Event brief
          content:
            application/json:
              schema:
                type: object
                required:
                  - event
                  - summary
                properties:
                  event:
                    $ref: '#/components/schemas/EventItem'
                  summary:
                    type: object
                    properties:
                      attendeeCount:
                        type:
                          - integer
                          - 'null'
                      exhibitorCount:
                        type: integer
                      topCategories:
                        type: array
                        items:
                          type: string
                      dataFreshness:
                        type: string
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    EventIdQuery:
      name: event_id
      in: query
      required: true
      schema:
        type: string
        minLength: 1
        maxLength: 100
  schemas:
    EventItem:
      type: object
      required:
        - id
        - eventId
        - name
      properties:
        id:
          type: string
        eventId:
          type: string
        name:
          type:
            - string
            - 'null'
        nickname:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        url:
          type:
            - string
            - 'null'
        dateStart:
          type:
            - string
            - 'null'
          format: date
        dateEnd:
          type:
            - string
            - 'null'
          format: date
        venue:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        region:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        exhibitorCount:
          type:
            - integer
            - 'null'
        image:
          type:
            - string
            - 'null'
        dataSource:
          type:
            - string
            - 'null'
      additionalProperties: true
    ApiError:
      type: object
      required:
        - code
        - message
        - errorKey
        - traceId
      properties:
        code:
          type: integer
        message:
          type: string
        errorKey:
          type: string
        traceId:
          type: string
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: User API key

````